[arch-commits] Commit in swi-prolog/repos (4 files)

Alexander Rødseth arodseth at archlinux.org
Mon Nov 6 11:43:57 UTC 2017


    Date: Monday, November 6, 2017 @ 11:43:56
  Author: arodseth
Revision: 265526

archrelease: copy trunk to community-x86_64, community-i686

Added:
  swi-prolog/repos/community-i686/PKGBUILD
    (from rev 265525, swi-prolog/trunk/PKGBUILD)
  swi-prolog/repos/community-x86_64/PKGBUILD
    (from rev 265525, swi-prolog/trunk/PKGBUILD)
Deleted:
  swi-prolog/repos/community-i686/PKGBUILD
  swi-prolog/repos/community-x86_64/PKGBUILD

---------------------------+
 /PKGBUILD                 |   94 ++++++++++++++++++++++++++++++++++++++++++++
 community-i686/PKGBUILD   |   49 ----------------------
 community-x86_64/PKGBUILD |   49 ----------------------
 3 files changed, 94 insertions(+), 98 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2017-11-06 11:43:41 UTC (rev 265525)
+++ community-i686/PKGBUILD	2017-11-06 11:43:56 UTC (rev 265526)
@@ -1,49 +0,0 @@
-# $Id$
-# Maintainer: Alexander F Rødseth <xyproto at archlinux.org>
-# Contributor: Jachym Barvinek <jachymb at gmail.com>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: John Proctor <jproctor at prium.net>
-# Contributor: Juergen Hoetzel <juergen at archlinux.org>
-
-pkgname=swi-prolog
-pkgver=7.4.2
-pkgrel=1
-pkgdesc='Prolog environment'
-arch=('x86_64' 'i686')
-url='http://www.swi-prolog.org/'
-license=('GPL' 'LGPL')
-depends=('gmp' 'readline' 'openssl' 'libarchive')
-makedepends=('libxft' 'libjpeg' 'unixodbc' 'libxpm' 'libxinerama')
-optdepends=('unixodbc: for using the odbc4pl library'
-            'libjpeg: for using the pl2xpce library'
-            'libxpm: for using the pl2xpce library'
-            'libxinerama: for using the pl2xpce library'
-            'libxft: for using the pl2xpce library')
-
-# no https with valid certificates available
-source=("http://www.swi-prolog.org/download/stable/src/swipl-${pkgver/_/-}.tar.gz")
-sha256sums=('7f17257da334bc1e7a35e9cf5cb8fca01d82f1ea406c7ace76e9062af8f0df8b')
-
-build() {
-  cd "swipl-${pkgver/_/-}"
-  ./configure --prefix=/usr --with-world
-
-  cd src
-  ./configure --enable-readline --prefix=/usr
-
-  make -C ..
-}
-
-check() {
-  make -C "swipl-${pkgver/_/-}" check || true
-}
-
-package() {
-  make -C "swipl-${pkgver/_/-}" DESTDIR="$pkgdir" install
-
-  # Fix for FS#20873
-  chmod +x "$pkgdir/usr/lib/swipl-${pkgver/_/-}/library/dialect/sicstus/swipl-lfr.pl"
-}
-
-# getver: swi-prolog.org/download/stable
-# vim:set ts=2 sw=2 et:

Copied: swi-prolog/repos/community-i686/PKGBUILD (from rev 265525, swi-prolog/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2017-11-06 11:43:56 UTC (rev 265526)
@@ -0,0 +1,47 @@
+# $Id$
+# Maintainer: Alexander F Rødseth <xyproto at archlinux.org>
+# Contributor: Jachym Barvinek <jachymb at gmail.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: John Proctor <jproctor at prium.net>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+
+pkgname=swi-prolog
+pkgver=7.6.1
+pkgrel=1
+pkgdesc='Prolog environment'
+arch=('x86_64' 'i686')
+url='http://www.swi-prolog.org/'
+license=('GPL' 'LGPL')
+depends=('gmp' 'libarchive' 'openssl' 'readline')
+makedepends=('libjpeg' 'libxft' 'libxinerama' 'libxpm' 'unixodbc')
+optdepends=('unixodbc: for using the odbc4pl library'
+            'libjpeg: for using the pl2xpce library'
+            'libxpm: for using the pl2xpce library'
+            'libxinerama: for using the pl2xpce library'
+            'libxft: for using the pl2xpce library')
+source=("http://www.swi-prolog.org/download/stable/src/swipl-${pkgver/_/-}.tar.gz") # invalid HTTPS cert
+sha256sums=('24ada4bd016189fd417592edf1ffc74e4e51ee4f47e569f97e2d11f4d8f89ec3')
+
+build() {
+  cd "swipl-${pkgver/_/-}"
+  ./configure --prefix=/usr --with-world
+
+  cd src
+  ./configure --enable-readline --prefix=/usr
+
+  make -C ..
+}
+
+check() {
+  make -C "swipl-${pkgver/_/-}" check || true
+}
+
+package() {
+  make -C "swipl-${pkgver/_/-}" DESTDIR="$pkgdir" install
+
+  # Fix for FS#20873
+  chmod +x "$pkgdir/usr/lib/swipl-${pkgver/_/-}/library/dialect/sicstus/swipl-lfr.pl"
+}
+
+# getver: swi-prolog.org/download/stable
+# vim: ts=2 sw=2 et:

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2017-11-06 11:43:41 UTC (rev 265525)
+++ community-x86_64/PKGBUILD	2017-11-06 11:43:56 UTC (rev 265526)
@@ -1,49 +0,0 @@
-# $Id$
-# Maintainer: Alexander F Rødseth <xyproto at archlinux.org>
-# Contributor: Jachym Barvinek <jachymb at gmail.com>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: John Proctor <jproctor at prium.net>
-# Contributor: Juergen Hoetzel <juergen at archlinux.org>
-
-pkgname=swi-prolog
-pkgver=7.4.2
-pkgrel=1
-pkgdesc='Prolog environment'
-arch=('x86_64' 'i686')
-url='http://www.swi-prolog.org/'
-license=('GPL' 'LGPL')
-depends=('gmp' 'readline' 'openssl' 'libarchive')
-makedepends=('libxft' 'libjpeg' 'unixodbc' 'libxpm' 'libxinerama')
-optdepends=('unixodbc: for using the odbc4pl library'
-            'libjpeg: for using the pl2xpce library'
-            'libxpm: for using the pl2xpce library'
-            'libxinerama: for using the pl2xpce library'
-            'libxft: for using the pl2xpce library')
-
-# no https with valid certificates available
-source=("http://www.swi-prolog.org/download/stable/src/swipl-${pkgver/_/-}.tar.gz")
-sha256sums=('7f17257da334bc1e7a35e9cf5cb8fca01d82f1ea406c7ace76e9062af8f0df8b')
-
-build() {
-  cd "swipl-${pkgver/_/-}"
-  ./configure --prefix=/usr --with-world
-
-  cd src
-  ./configure --enable-readline --prefix=/usr
-
-  make -C ..
-}
-
-check() {
-  make -C "swipl-${pkgver/_/-}" check || true
-}
-
-package() {
-  make -C "swipl-${pkgver/_/-}" DESTDIR="$pkgdir" install
-
-  # Fix for FS#20873
-  chmod +x "$pkgdir/usr/lib/swipl-${pkgver/_/-}/library/dialect/sicstus/swipl-lfr.pl"
-}
-
-# getver: swi-prolog.org/download/stable
-# vim:set ts=2 sw=2 et:

Copied: swi-prolog/repos/community-x86_64/PKGBUILD (from rev 265525, swi-prolog/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2017-11-06 11:43:56 UTC (rev 265526)
@@ -0,0 +1,47 @@
+# $Id$
+# Maintainer: Alexander F Rødseth <xyproto at archlinux.org>
+# Contributor: Jachym Barvinek <jachymb at gmail.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: John Proctor <jproctor at prium.net>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+
+pkgname=swi-prolog
+pkgver=7.6.1
+pkgrel=1
+pkgdesc='Prolog environment'
+arch=('x86_64' 'i686')
+url='http://www.swi-prolog.org/'
+license=('GPL' 'LGPL')
+depends=('gmp' 'libarchive' 'openssl' 'readline')
+makedepends=('libjpeg' 'libxft' 'libxinerama' 'libxpm' 'unixodbc')
+optdepends=('unixodbc: for using the odbc4pl library'
+            'libjpeg: for using the pl2xpce library'
+            'libxpm: for using the pl2xpce library'
+            'libxinerama: for using the pl2xpce library'
+            'libxft: for using the pl2xpce library')
+source=("http://www.swi-prolog.org/download/stable/src/swipl-${pkgver/_/-}.tar.gz") # invalid HTTPS cert
+sha256sums=('24ada4bd016189fd417592edf1ffc74e4e51ee4f47e569f97e2d11f4d8f89ec3')
+
+build() {
+  cd "swipl-${pkgver/_/-}"
+  ./configure --prefix=/usr --with-world
+
+  cd src
+  ./configure --enable-readline --prefix=/usr
+
+  make -C ..
+}
+
+check() {
+  make -C "swipl-${pkgver/_/-}" check || true
+}
+
+package() {
+  make -C "swipl-${pkgver/_/-}" DESTDIR="$pkgdir" install
+
+  # Fix for FS#20873
+  chmod +x "$pkgdir/usr/lib/swipl-${pkgver/_/-}/library/dialect/sicstus/swipl-lfr.pl"
+}
+
+# getver: swi-prolog.org/download/stable
+# vim: ts=2 sw=2 et:


More information about the arch-commits mailing list